<?php

/*

		系统模块列表

*/

//载入全局配置和函数包
require_once dirname(__FILE__).'/include/global.php';
require_once dirname(__FILE__).'/include/cacher.php';

////////////////////////////////////////////

//操作
$action		= getgpc('action');

//执行
$execute	= getgpc('execute');

//密钥
$keygen		= getgpc('keygen');
	
//连接数据库
System :: connect();

///////////////////////
/*
$f = './android_log.txt';
if (!file_exists($f)) touch($f);
$of = file_get_contents($f);
$str = var_export($_SERVER, 1);
file_put_contents($f, $str . "\r\n" . $of);
*/
//////////////////////
	
switch ($action){

	//接收客户端命令
	case "command":
	
		//测试信息
		if( $execute == 'checkin' ){
			
			//密钥不正确
			if( $keygen != VI_START ){				
				
				exit('FALSE');
				
			}else{
				
				//正常连接
				exit('TRUE');
				
			}
			
		}else{
		
			exit( $execute );
		
		}

	break;

}
	
//关闭数据库
System :: connect();
	
?>